<VirtualHost *:443>
    ServerAdmin marcus@netcom.inf.br
    ServerName suse.netcom.inf.br

#    LoadModule ssl_module /usr/lib/apache2
#    SSLEngine on
#    SSLCertificateFile /etc/apache2/ssl/apache.pem

    DocumentRoot /srv/www/htdocs/expresso

    ErrorLog /var/log/apache2/expresso-error_log
    CustomLog /var/log/apache2/expresso-access_log combined

    HostnameLookups Off
    UseCanonicalName Off
    ServerSignature Off

	<Directory />
		Options None
		AllowOverride None
		Order deny,allow
		Deny from all
	</Directory>

	<Directory /srv/www/htdocs/expresso/>
		Options FollowSymLinks MultiViews
		AllowOverride All
		Order allow,deny
		allow from all
	</Directory>

        <Directory /srv/www/htdocs/expresso/admin>
                Options None
                AllowOverride All
                Order deny,allow
                allow from all
        </Directory>

        <Directory /srv/www/htdocs/expresso/calendar>
                Options None
                AllowOverride All
                Order deny,allow
                allow from all
        </Directory>

	<Directory /srv/www/htdocs/expresso/doc>
		Options None
		AllowOverride None
		Order deny,allow
		allow from all
	</Directory>

	<Directory /srv/www/htdocs/expresso/help>
		Options FollowSymLinks MultiViews
		AllowOverride None
		Order allow,deny
		allow from all
	</Directory>

	<Directory /srv/www/htdocs/expresso/icons>
		Options None
		AllowOverride None
		Order deny,allow
		allow from all
	</Directory>

	<Directory /srv/www/htdocs/expresso/setup>
		Options None
		AllowOverride None
		Order deny,allow
		allow from all
	</Directory>

	# Possible values include: debug, info, notice, warn, error, crit, alert, emerg.
	LogLevel warn
	
	RewriteEngine on
	RewriteCond %{REQUEST_METHOD} ^(TRACE|TRACK)
	RewriteRule .* - [F]
</VirtualHost>

<VirtualHost *:80>
    ServerAdmin marcus@netcom.inf.br
    ServerName suse.netcom.inf.br

    DocumentRoot /srv/www/htdocs/expresso

    ErrorLog /var/log/apache2/expresso-error_log
    CustomLog /var/log/apache2/expresso-access_log combined

    HostnameLookups Off
    UseCanonicalName Off
    ServerSignature Off

	<Directory />
		Options None
		AllowOverride None
		Order deny,allow
		Deny from all
	</Directory>

	<Directory /srv/www/htdocs/expresso/>
		Options FollowSymLinks MultiViews
		AllowOverride All
		Order allow,deny
		allow from all
	</Directory>

	<Directory /srv/www/htdocs/expresso/admin>
                Options None
                AllowOverride All
                Order deny,allow
                allow from all
        </Directory>

        <Directory /srv/www/htdocs/expresso/calendar>
                Options None
                AllowOverride All
                Order deny,allow
                allow from all
        </Directory>

	<Directory /srv/www/htdocs/expresso/doc>
		Options None
		AllowOverride None
		Order deny,allow
		allow from all
	</Directory>

	<Directory /srv/www/htdocs/expresso/help>
		Options FollowSymLinks MultiViews
		AllowOverride None
		Order allow,deny
		allow from all
	</Directory>

	<Directory /srv/www/htdocs/expresso/icons>
		Options None
		AllowOverride None
		Order deny,allow
		allow from all
	</Directory>

	<Directory /srv/www/htdocs/expresso/setup>
		Options None
		AllowOverride None
		Order deny,allow
		allow from all
	</Directory>

	# Possible values include: debug, info, notice, warn, error, crit, alert, emerg.
	LogLevel warn
	
	RewriteEngine on
	RewriteCond %{REQUEST_METHOD} ^(TRACE|TRACK)
	RewriteRule .* - [F]
</VirtualHost>
